package eu.mhsl.minecraft.pixelblocks.listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockExplodeEvent;
import org.bukkit.event.entity.CreatureSpawnEvent;
import org.bukkit.event.entity.EntityDamageEvent;
import org.bukkit.event.entity.EntityExplodeEvent;
import org.bukkit.event.player.PlayerDropItemEvent;
import org.bukkit.event.player.PlayerPortalEvent;

public class PixelWorldBehaviourListener implements Listener {
    @EventHandler
    static void onBlockExplode(BlockExplodeEvent event) {
        CommonEventHandlers.cancelIfInPixelWorld(event, event.getBlock().getWorld());
    }

    @EventHandler
    static void onCreatureSpawn(CreatureSpawnEvent event) {
        CommonEventHandlers.cancelIfInPixelWorld(event, event.getLocation().getWorld());
    }

    @EventHandler
    static void onEntityDamage(EntityDamageEvent event) {
        CommonEventHandlers.cancelIfInPixelWorld(event, event.getEntity().getWorld());
    }

    @EventHandler
    static void onEntityExplode(EntityExplodeEvent event) {
        CommonEventHandlers.cancelIfInPixelWorld(event, event.getLocation().getWorld());
    }

    @EventHandler
    static void onPlayerDropItem(PlayerDropItemEvent event) {
        CommonEventHandlers.cancelIfInPixelWorld(event, event.getItemDrop().getWorld());
    }

    @EventHandler
    static void onPlayerPortal(PlayerPortalEvent event) {
        CommonEventHandlers.cancelIfInPixelWorld(event, event.getFrom().getWorld());
    }
}
