package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlockWorld;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockPlaceEvent;

import java.util.Objects;

public class PlacePixelListener implements Listener {
    @EventHandler
    static void onBlockPlace(BlockPlaceEvent event) {
        World world = event.getBlock().getWorld();
        if(!PixelBlockWorld.isPixelWorld(world)) return;

        PixelBlock pixelBlock = PixelBlock.getPixelBlockFromBlockWorld(world);
        Objects.requireNonNull(pixelBlock);

        PixelBlockWorld pixelBlockWorld = pixelBlock.getPixelWorld();

        Location blockLocation = event.getBlock().getLocation();
        if(!pixelBlockWorld.allowPlacements(blockLocation)) event.setCancelled(true);
    }
}
